
/************************************************************************/
/* Copyright (c) 2016 - 2022 Marnix van den Bos.                        */
/*                                                                      */
/* <marnix@xvan.nl>                                                     */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/

#if !defined(__color)
#define __color

/* This file is specifically for use with the Code::Blocks IDE. It */
/* contains the #defines for background and text colors.           */
/* ON and OFF are added for bold, italic and underline functions.  */

/* Color codes are Code::Blocks code, so do not change the values. */

#define BLACK        0
#define BLUE         1
#define GREEN        2
#define AQUA         3
#define RED          4
#define PURPLE       5
#define YELLOW       6
#define WHITE        7
#define GRAY         8
#define LIGHT_BLUE   9
#define LIGHT_GREEN  A
#define LIGHT_AQUA   B
#define LIGHT_RED    C
#define LIGHT_PURPLE D
#define LIGHT_YELLOW E
#define BRIGHT_WHITE F
#define ON           1
#define OFF          0

#endif
